module PersonalProject
  class Engine < ::Rails::Engine
  	initializer "personal_project" do
		OrbitApp.registration "PersonalProject",:type=> 'ModuleApp' do
			module_label 'module_name.personal_project'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '15', :app_name=>"Project", :intro_app_name=>"PersonalProjectIntro",:path=>"/plugin/personal_project/profile",:front_path=>"/profile",:admin_path=>"/admin/projects",:i18n=>'module_name.personal_project', :module_app_name=>"PersonalProject"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

      frontend_enabled
      icon_class_no_sidebar "icons-user"
      data_count 1..10
		end
	end
  end
end
